html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
}

header {
  height: 10vh; /* Adjust header height */
}

.main-container {
  display: flex;
  flex: 1;
  justify-content: space-between;
  margin: 0;
  position: relative; /* Allows absolute positioning of the button inside the container */
  box-sizing: border-box;
  height: 100%; /* Ensure main-container fills available space */
}

#map {
  flex: 1;
  height: 100%;
}

/* Report Section */
.report {
  background-color: #769880;
  position: fixed;
  top: 10vh; /* Position below the header */
  bottom: 10vh;
  left: -600px;
  width: 558px;
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5);
  z-index: 1000;
  overflow-y: auto;
  padding-right: 20px;
  transition: left 0.3s ease;
}

.report.visible {
  left: 0;
}

.report .title {
  font-size: 24px;
  color: white;
  text-align: center;
}

.report button[type="submit"] {
  background-color: #255C20;
  color: white;
  border: none;
  border-radius: 11px;
  cursor: pointer;
  font-size: 24px;
  width: 282px;
  height: 54px;
  margin-top: 20px;
}

.report button[type="submit"]:hover {
  background-color: #255C20;
}

/* Inputs Section */
.inputs {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.inputs select,
.inputs input[type="text"],
.inputs input[type="comments"],
.inputs input[type="file"] {
  border-radius: 4px;
  width: 367px;
  height: 36px;
}

.dropdown-box {
  width: 300px;
}

#otherInput {
  display: none;
  margin-top: 5px;
}

/* Button for toggling report visibility */
.report-menu-toggle {
  position: absolute;
  top: 10px;  /* Position button inside the .main-container, 10px from the top */
  left: 10px; /* Position button inside the .main-container, 10px from the left */
  width: 50px;
  height: 50px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  z-index: 1001;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 6px;
}

.report-menu-toggle .line {
  width: 30px;
  height: 3px;
  background-color: #20345C;
}

/* Responsive adjustments for smaller screens */
@media only screen and (max-width: 768px) {
  .main-container {
    flex-direction: column; /* Stack map and report vertically on small screens */
  }

  .report {
    width: 100%; /* Full width for report on smaller screens */
    top: 15vh; /* Adjust top value for smaller screens */
    left: 0;
  }

  .inputs select,
  .inputs input[type="text"],
  .inputs input[type="comments"],
  .inputs input[type="file"] {
    width: 90%; /* Make inputs responsive */
    margin: 10px 0;
  }

  /* Adjust report menu toggle button on smaller screens */
  .report-menu-toggle {
    left: 5%; /* Move it a bit from the left edge */
    top: 15px; /* Position it further down */
  }
}

@media only screen and (max-width: 480px) {
  /* For very small screens (phones in portrait mode) */
  .report {
    width: 100%; /* Full width */
    top: 20vh; /* Adjust top value */
  }

  .inputs select,
  .inputs input[type="text"],
  .inputs input[type="comments"],
  .inputs input[type="file"] {
    width: 100%; /* Ensure inputs take full width */
  }

  .report-menu-toggle {
    left: 5%;
    top: 20px; /* Adjust top value for very small screens */
  }
}
